Index: src/client.c
===================================================================
RCS file: /cvsroot/ircd-ratbox/src/client.c,v
retrieving revision 7.463.2.5
diff -b -u -r7.463.2.5 client.c
--- src/client.c	4 Aug 2004 00:21:17 -0000	7.463.2.5
+++ src/client.c	19 Aug 2004 22:16:32 -0000
@@ -62,11 +62,11 @@
 static void free_exited_clients(void *unused);
 static void exit_aborted_clients(void *unused);
 
-static int exit_remote_client(struct Client *, struct Client *, struct Client *,const char *);
-static int exit_remote_server(struct Client *, struct Client *, struct Client *,const char *);
-static int exit_local_client(struct Client *, struct Client *, struct Client *,const char *);
-static int exit_unknown_client(struct Client *, struct Client *, struct Client *,const char *);
-static int exit_local_server(struct Client *, struct Client *, struct Client *,const char *);
+static int exit_remote_client(struct Client *, struct Client *, struct Client *, const char *);
+static int exit_remote_server(struct Client *, struct Client *, struct Client *, const char *);
+static int exit_local_client(struct Client *, struct Client *, struct Client *, const char *);
+static int exit_unknown_client(struct Client *, struct Client *, struct Client *, const char *);
+static int exit_local_server(struct Client *, struct Client *, struct Client *, const char *);
 static int qs_server(struct Client *, struct Client *, struct Client *, const char *comment);
 
 static int h_local_exit_client;
@@ -185,8 +185,7 @@
 
 	if(client_p->localClient->passwd)
 	{
-		memset(client_p->localClient->passwd, 0,
-			strlen(client_p->localClient->passwd));
+		memset(client_p->localClient->passwd, 0, strlen(client_p->localClient->passwd));
 		MyFree(client_p->localClient->passwd);
 	}
 
@@ -276,7 +275,8 @@
 			   GlobalSetOptions.idletime &&
 			   !IsOper(client_p) &&
 			   !IsIdlelined(client_p) &&
-			   ((CurrentTime - client_p->localClient->last) > GlobalSetOptions.idletime))
+			   ((CurrentTime - client_p->localClient->last) >
+			    GlobalSetOptions.idletime))
 			{
 				struct ConfItem *aconf;
 
@@ -323,7 +323,8 @@
 				}
 				(void) ircsnprintf(scratch, sizeof(scratch),
 						  "Ping timeout: %d seconds",
-						  (int) (CurrentTime - client_p->localClient->lasttime));
+						   (int) (CurrentTime -
+							  client_p->localClient->lasttime));
 
 				exit_client(client_p, client_p, &me, scratch);
 				continue;
@@ -440,7 +441,9 @@
 			continue;
 
 		/* if there is a returned struct ConfItem then kill it */
-		if((aconf = find_dline((struct sockaddr *)&client_p->localClient->ip, client_p->localClient->ip.ss_family)))
+		if((aconf =
+		    find_dline((struct sockaddr *) &client_p->localClient->ip,
+			       client_p->localClient->ip.ss_family)))
 		{
 			if(aconf->status & CONF_EXEMPTDLINE)
 				continue;
@@ -520,7 +523,9 @@
 	{
 		client_p = ptr->data;
 
-		if((aconf = find_dline((struct sockaddr *)&client_p->localClient->ip,client_p->localClient->ip.ss_family)))
+		if((aconf =
+		    find_dline((struct sockaddr *) &client_p->localClient->ip,
+			       client_p->localClient->ip.ss_family)))
 		{
 			if(aconf->status & CONF_EXEMPTDLINE)
 				continue;
@@ -655,7 +660,9 @@
 		if(IsMe(client_p))
 			continue;
 
-		if((aconf = find_dline((struct sockaddr *)&client_p->localClient->ip,client_p->localClient->ip.ss_family)) != NULL)
+		if((aconf =
+		    find_dline((struct sockaddr *) &client_p->localClient->ip,
+			       client_p->localClient->ip.ss_family)) != NULL)
 		{
 			if(aconf->status & CONF_EXEMPTDLINE)
 				continue;
@@ -674,7 +681,9 @@
 	{
 		client_p = ptr->data;
 
-		if((aconf = find_dline((struct sockaddr *)&client_p->localClient->ip,client_p->localClient->ip.ss_family)) != NULL)
+		if((aconf =
+		    find_dline((struct sockaddr *) &client_p->localClient->ip,
+			       client_p->localClient->ip.ss_family)) != NULL)
 		{
 			if(aconf->status & CONF_EXEMPTDLINE)
 				continue;
@@ -862,8 +871,7 @@
 
 	if(!(who = get_history(user, (long) KILLCHASETIMELIMIT)))
 	{
-		sendto_one_numeric(source_p, ERR_NOSUCHNICK,
-				   form_str(ERR_NOSUCHNICK), user);
+		sendto_one_numeric(source_p, ERR_NOSUCHNICK, form_str(ERR_NOSUCHNICK), user);
 		return (NULL);
 	}
 	if(chasing)
@@ -914,8 +922,7 @@
 		{
 		case SHOW_IP:
 			ircsnprintf(nbuf, sizeof(nbuf), "%s[%s@%s]", 
-				   client->name, client->username, 
-				   client->sockhost);
+				    client->name, client->username, client->sockhost);
 			break;
 		case MASK_IP:
 			ircsnprintf(nbuf, sizeof(nbuf), "%s[%s@255.255.255.255]",
@@ -948,8 +955,7 @@
 #ifdef HIDE_SERVERS_IPS
 	if(EmptyString(target_p->name))
 	{
-		ircsnprintf(nbuf, sizeof(nbuf), "[%s@255.255.255.255]",
-				target_p->username);
+		ircsnprintf(nbuf, sizeof(nbuf), "[%s@255.255.255.255]", target_p->username);
 		return nbuf;
 	}
 	else
@@ -960,8 +966,7 @@
 	{
 		case SHOW_IP:
 			ircsnprintf(nbuf, sizeof(nbuf), "%s[%s@%s]",
-				target_p->name, target_p->username, 
-				target_p->sockhost);
+			    target_p->name, target_p->username, target_p->sockhost);
 			break;
 
 		case MASK_IP:
@@ -970,8 +975,7 @@
 
 		default:
 			ircsnprintf(nbuf, sizeof(nbuf), "%s[%s@%s]",
-				target_p->name, target_p->username,
-				target_p->host);
+			    target_p->name, target_p->username, target_p->host);
 	}
 
 	return nbuf;
@@ -1049,8 +1053,7 @@
 */
 static void
 recurse_send_quits(struct Client *client_p, struct Client *source_p, 
-		   struct Client *to, const char *comment,
-		   const char *myname)
+		   struct Client *to, const char *comment, const char *myname)
 {
 	struct Client *target_p;
 	dlink_node *ptr, *ptr_next;
@@ -1060,8 +1063,7 @@
 
 	if(IsCapable(to, CAP_QS))
 	{
-		sendto_one(to, "SQUIT %s :%s",
-			   get_id(source_p, to), me.name);
+		sendto_one(to, "SQUIT %s :%s", get_id(source_p, to), me.name);
 	}
 	else
 	{
@@ -1152,8 +1154,7 @@
 	{
 		to = ptr->data;
 
-		if(IsMe(to) || to == source_p->from || 
-		   (to == client_p && IsCapable(to, CAP_QS)))
+		if(IsMe(to) || to == source_p->from || (to == client_p && IsCapable(to, CAP_QS)))
 			continue;
 
 		/* MyConnect(source_p) is rotten at this point: if source_p
@@ -1206,7 +1207,7 @@
  	DLINK_FOREACH_SAFE(ptr, next, abort_list.head)
  	{
  	 	abt = ptr->data;
- 		s_assert(*((unsigned long*)abt->client) != 0xdeadbeef); /* This is lame but its a debug thing */
+		s_assert(*((unsigned long *) abt->client) != 0xdeadbeef);	/* This is lame but its a debug thing */
  	 	dlinkDelete(ptr, &abort_list);
 
  	 	if(IsAnyServer(abt->client))
@@ -1256,8 +1257,7 @@
 	dlink_node *ptr, *next_ptr;
 
 	sendto_common_channels_local(source_p, ":%s!%s@%s QUIT :%s",
-				     source_p->name,
-				     source_p->username, source_p->host, comment);
+				     source_p->name, source_p->username, source_p->host, comment);
 
 	remove_user_from_channels(source_p);
 
@@ -1309,7 +1309,7 @@
 	}
 
 	exit_generic_client(client_p, source_p, from, comment);
-	return(CLIENT_EXITED);
+	return (CLIENT_EXITED);
 }
 
 /*
@@ -1337,14 +1337,14 @@
 	dlinkAddAlloc(source_p, &dead_list);
 
 	/* Note that we don't need to add unknowns to the dead_list */
-	return(CLIENT_EXITED);
+	return (CLIENT_EXITED);
 }
 
 static int
 exit_remote_server(struct Client *client_p, struct Client *source_p, struct Client *from, 
 		  const char *comment)
 {
-	static char comment1[(HOSTLEN*2)+2];
+	static char comment1[(HOSTLEN * 2) + 2];
 	struct Client *target_p;
 	
 	if((source_p->serv) && (source_p->serv->up))
@@ -1369,8 +1369,7 @@
 	   !IsMe(target_p) && (source_p->flags & FLAGS_KILLED) == 0)
 	{
 		sendto_one(target_p, ":%s SQUIT %s :%s", 
-			   get_id(from, target_p), get_id(source_p, target_p),
-			   comment);
+			   get_id(from, target_p), get_id(source_p, target_p), comment);
 	}
 
 	if(has_id(source_p))
@@ -1413,7 +1412,7 @@
 exit_local_server(struct Client *client_p, struct Client *source_p, struct Client *from, 
 		  const char *comment)
 {
-	static char comment1[(HOSTLEN*2)+2];
+	static char comment1[(HOSTLEN * 2) + 2];
 	unsigned int sendk, recvk;
 	
 	dlinkDelete(&source_p->localClient->tnode, &serv_list);
@@ -1456,7 +1455,8 @@
 
 	sendto_realops_flags(UMODE_ALL, L_ALL, "%s was connected"
 			     " for %ld seconds.  %d/%d sendK/recvK.",
-			     source_p->name, CurrentTime - source_p->localClient->firsttime, sendk, recvk);
+			     source_p->name, CurrentTime - source_p->localClient->firsttime, sendk,
+			     recvk);
 
 	ilog(L_SERVER, "%s was connected for %ld seconds.  %d/%d sendK/recvK.",
 	     source_p->name, CurrentTime - source_p->localClient->firsttime, sendk, recvk);
@@ -1492,8 +1492,7 @@
 
 	sendto_realops_flags(UMODE_CCONN, L_ALL,
 			     "Client exiting: %s (%s@%s) [%s] [%s]",
-			     source_p->name,
-			     source_p->username, source_p->host, comment,
+			     source_p->name, source_p->username, source_p->host, comment,
 #ifdef HIDE_SPOOF_IPS
                              IsIPSpoof(source_p) ? "255.255.255.255" :
 #endif
@@ -1519,7 +1518,7 @@
 			      ":%s QUIT :%s", source_p->name, comment);
 	}
 	exit_generic_client(client_p, source_p, from, comment);
-	return(CLIENT_EXITED);
+	return (CLIENT_EXITED);
 }
 
 
@@ -1920,8 +1919,7 @@
 					     (unsigned long) user,
 					     (unsigned long) user->invited.head,
 					     (unsigned long) user->channel.head, 
-					     dlink_list_length(&user->channel),
-					     user->refcnt);
+					     dlink_list_length(&user->channel), user->refcnt);
 			s_assert(!user->refcnt);
 			s_assert(!user->invited.head);
 			s_assert(!user->channel.head);
@@ -2126,8 +2124,7 @@
 		{
 			report_error("Lost connection to %s: %d",
 					get_server_name(client_p, SHOW_IP),
-					log_client_name(client_p, SHOW_IP),
-					current_error);
+				     log_client_name(client_p, SHOW_IP), current_error);
 		}
 
 		sendto_realops_flags(UMODE_ALL, L_ALL,
Index: src/commio.c
===================================================================
RCS file: /cvsroot/ircd-ratbox/src/commio.c,v
retrieving revision 1.9.2.1
diff -b -u -r1.9.2.1 commio.c
--- src/commio.c	3 Aug 2004 20:39:51 -0000	1.9.2.1
+++ src/commio.c	19 Aug 2004 22:16:33 -0000
@@ -95,13 +95,13 @@
 	/* XXX btw, fd 3 is used for profiler ! */
 #if 0
 #ifndef __VMS
-	for (i = 0; i < MAXCONNECTIONS; ++i)
+	for(i = 0; i < MAXCONNECTIONS; ++i)
 #else
-	for (i = 3; i < MAXCONNECTIONS; ++i)
+	for(i = 3; i < MAXCONNECTIONS; ++i)
 #endif
 #endif
 
-		for (i = 4; i < MAXCONNECTIONS; ++i)
+		for(i = 4; i < MAXCONNECTIONS; ++i)
 		{
 			if(fd_table[i].flags.open)
 				fd_close(i);
@@ -286,7 +286,7 @@
 	PF *hdl;
 	void *data;
 	fde_t *F;
-	for (fd = 0; fd <= highest_fd; fd++)
+	for(fd = 0; fd <= highest_fd; fd++)
 	{
 		F = &fd_table[fd];
 		if(!F->flags.open)
@@ -295,8 +295,7 @@
 			continue;
 
 		/* check flush functions */
-		if(F->flush_handler &&
-		   F->flush_timeout > 0 && F->flush_timeout < CurrentTime)
+		if(F->flush_handler && F->flush_timeout > 0 && F->flush_timeout < CurrentTime)
 		{
 			hdl = F->flush_handler;
 			data = F->flush_data;
@@ -305,8 +304,7 @@
 		}
 
 		/* check timeouts */
-		if(F->timeout_handler &&
-		   F->timeout > 0 && F->timeout < CurrentTime)
+		if(F->timeout_handler && F->timeout > 0 && F->timeout < CurrentTime)
 		{
 			/* Call timeout handler */
 			hdl = F->timeout_handler;
@@ -348,15 +346,16 @@
 #ifdef IPV6
 	if(aftype == AF_INET6)
 	{
-		struct sockaddr_in6 *in6 = (struct sockaddr_in6 *)&F->connect.hostaddr;
+		struct sockaddr_in6 *in6 = (struct sockaddr_in6 *) &F->connect.hostaddr;
 		SET_SS_LEN(F->connect.hostaddr, sizeof(struct sockaddr_in6));
 		in6->sin6_port = htons(port);
 		in6->sin6_family = AF_INET6;
 		ipptr = &in6->sin6_addr;
-	} else
+	}
+	else
 #endif
 	{
-		struct sockaddr_in *in = (struct sockaddr_in *)&F->connect.hostaddr;
+		struct sockaddr_in *in = (struct sockaddr_in *) &F->connect.hostaddr;
 		SET_SS_LEN(F->connect.hostaddr, sizeof(struct sockaddr_in));
 		in->sin_port = htons(port);
 		in->sin_family = AF_INET;
@@ -474,20 +473,20 @@
 #ifdef IPV6
 	if(reply->rrs.addr->addr.sa.sa_family == AF_INET6)
 	{
-		struct sockaddr_in6 *in6 = (struct sockaddr_in6 *)&F->connect.hostaddr;
-		memcpy(&in6->sin6_addr, &reply->rrs.addr->addr.inet6.sin6_addr, sizeof(struct in6_addr));
+		struct sockaddr_in6 *in6 = (struct sockaddr_in6 *) &F->connect.hostaddr;
+		memcpy(&in6->sin6_addr, &reply->rrs.addr->addr.inet6.sin6_addr,
+		       sizeof(struct in6_addr));
 	}
 	else
 #endif
 	{
-		struct sockaddr_in *in = (struct sockaddr_in *)&F->connect.hostaddr;
+		struct sockaddr_in *in = (struct sockaddr_in *) &F->connect.hostaddr;
 		in->sin_addr.s_addr = reply->rrs.addr->addr.inet.sin_addr.s_addr;
 	}
 
 	/* Now, call the tryconnect() routine to try a connect() */
 	MyFree(reply);
-	comm_setselect(F->fd, FDLIST_SERVER, COMM_SELECT_WRITE,
-		       comm_connect_tryconnect, NULL, 0);
+	comm_setselect(F->fd, FDLIST_SERVER, COMM_SELECT_WRITE, comm_connect_tryconnect, NULL, 0);
 }
 
 
@@ -523,7 +522,7 @@
 			comm_connect_callback(F->fd, COMM_OK);
 		else if(ignoreErrno(errno))
 			/* Ignore error? Reschedule */
-			comm_setselect(F->fd, FDLIST_SERVER, COMM_SELECT_WRITE|COMM_SELECT_RETRY,
+			comm_setselect(F->fd, FDLIST_SERVER, COMM_SELECT_WRITE | COMM_SELECT_RETRY,
 				       comm_connect_tryconnect, NULL, 0);
 		else
 			/* Error? Fail with COMM_ERR_CONNECT */
@@ -595,7 +594,8 @@
 	/* Set the socket non-blocking, and other wonderful bits */
 	if(!comm_set_nb(fd))
 	{
-		ilog(L_IOERROR, "comm_open: Couldn't set FD %d non blocking: %s", fd, strerror(errno));
+		ilog(L_IOERROR, "comm_open: Couldn't set FD %d non blocking: %s", fd,
+		     strerror(errno));
 		/* if VMS, we might be opening a file (ircd.conf, resolv.conf).
 		   VMS doesn't let us set non-blocking on a file, so it might fail. */
 #ifndef __VMS
@@ -659,7 +659,7 @@
 void
 mangle_mapped_sockaddr(struct sockaddr *in)
 {
-	struct sockaddr_in6 *in6 = (struct sockaddr_in6 *)in;								
+	struct sockaddr_in6 *in6 = (struct sockaddr_in6 *) in;
 
 	if(in->sa_family == AF_INET)
 		return;
@@ -670,7 +670,7 @@
 		memset(&in4, 0, sizeof(struct sockaddr_in));
 		in4.sin_family = AF_INET;
 		in4.sin_port = in6->sin6_port;
-		in4.sin_addr.s_addr = ((uint32_t *)&in6->sin6_addr)[3];
+		in4.sin_addr.s_addr = ((uint32_t *) & in6->sin6_addr)[3];
 		memcpy(in, &in4, sizeof(struct sockaddr_in)); 		
 	}	
 	return;
@@ -701,7 +701,7 @@
 	 * re-opening it
 	 */
 	s_assert(!opening);
-	while (highest_fd >= 0 && !fd_table[highest_fd].flags.open)
+	while(highest_fd >= 0 && !fd_table[highest_fd].flags.open)
 		highest_fd--;
 }
 
@@ -764,7 +764,7 @@
 	comm_setselect(F->fd, FDLIST_NONE, COMM_SELECT_WRITE | COMM_SELECT_READ, NULL, NULL, 0);
 	comm_setflush(F->fd, 0, NULL, NULL);
 	
-	if (F->dns_query != NULL)
+	if(F->dns_query != NULL)
 	{
 		delete_adns_queries(F->dns_query);	
 		MyFree(F->dns_query);
@@ -789,14 +789,13 @@
 {
 	int i;
 
-	for (i = 0; i <= highest_fd; i++)
+	for(i = 0; i <= highest_fd; i++)
 	{
 		if(!fd_table[i].flags.open)
 			continue;
 
 		sendto_one_numeric(source_p, RPL_STATSDEBUG, 
-				   "F :fd %-3d desc '%s'",
-				   i, fd_table[i].desc);
+				   "F :fd %-3d desc '%s'", i, fd_table[i].desc);
 	}
 }
 
@@ -874,7 +873,7 @@
 		errno = EINVAL;
 		return NULL;
 	}
-	while (*mode)
+	while(*mode)
 	{
 		switch (*mode)
 		{
@@ -1030,7 +1029,7 @@
 	if(fb->ptr == fb->endp && fbfill(fb) < 1)
 		return 0;
 	--len;
-	while (len--)
+	while(len--)
 	{
 		*p = *fb->ptr++;
 		if('\n' == *p)
Index: src/devpoll.c
===================================================================
RCS file: /cvsroot/ircd-ratbox/src/devpoll.c,v
retrieving revision 7.32
diff -b -u -r7.32 devpoll.c
--- src/devpoll.c	30 Mar 2004 00:35:27 -0000	7.32
+++ src/devpoll.c	19 Aug 2004 22:16:33 -0000
@@ -170,8 +170,7 @@
 	if(dpfd < 0)
 	{
 		fprintf(stderr,
-		     "init_netio: Couldn't open /dev/poll - %d: %s\n",
-		     errno, strerror(errno));
+			"init_netio: Couldn't open /dev/poll - %d: %s\n", errno, strerror(errno));
 		exit(115);	/* Whee! */
 	}
 }
@@ -233,7 +232,7 @@
 
 	do
 	{
-		for (;;)
+		for(;;)
 		{
 			dopoll.dp_timeout = delay;
 			dopoll.dp_nfds = POLL_LENGTH;
@@ -251,7 +250,7 @@
 		if(num == 0)
 			continue;
 
-		for (i = 0; i < num; i++)
+		for(i = 0; i < num; i++)
 		{
 			int fd = dopoll.dp_fds[i].fd;
 			PF *hdl = NULL;
@@ -308,8 +307,7 @@
 		}
 		return COMM_OK;
 	}
-	while (0);
+	while(0);
 	/* XXX Get here, we broke! */
 	return 0;
 }
-
Index: src/epoll.c
===================================================================
RCS file: /cvsroot/ircd-ratbox/src/epoll.c,v
retrieving revision 1.26
diff -b -u -r1.26 epoll.c
--- src/epoll.c	15 Mar 2004 17:58:08 -0000	1.26
+++ src/epoll.c	19 Aug 2004 22:16:33 -0000
@@ -63,8 +63,7 @@
 
 _syscall1(int, epoll_create, int, maxfds);
 _syscall4(int, epoll_ctl, int, epfd, int, op, int, fd, struct epoll_event *, events);
-_syscall4(int, epoll_wait, int, epfd, struct epoll_event *, pevents,
-		 int, maxevents, int, timeout);
+_syscall4(int, epoll_wait, int, epfd, struct epoll_event *, pevents, int, maxevents, int, timeout);
 
 #endif /* HAVE_EPOLL_CTL */
 
@@ -182,7 +181,7 @@
 
 	if(num == 0)
 		return COMM_OK;
-	for (i = 0; i < num; i++)
+	for(i = 0; i < num; i++)
 	{
 		PF *hdl;
 		fde_t *F = pfd[i].data.ptr;
@@ -193,7 +192,8 @@
 			data = F->read_data;
 			F->read_handler = NULL;
 			F->read_data = NULL;
-			if(hdl) {
+			if(hdl)
+			{
 				hdl(F->fd, data);
 			}
 			else
@@ -211,7 +211,8 @@
 			F->write_handler = NULL;
 			F->write_data = NULL;
 
-			if(hdl) {
+			if(hdl)
+			{
 				hdl(F->fd, data);
 			}
 			else
@@ -238,11 +239,11 @@
 			ep_event.data.ptr = F;
 			if(epoll_ctl(ep, op, F->fd, &ep_event) != 0)
 			{
-				ilog(L_IOERROR, "comm_setselect(): epoll_ctl failed: %s", strerror(errno));
+				ilog(L_IOERROR, "comm_setselect(): epoll_ctl failed: %s",
+				     strerror(errno));
 			}
 		}
 					
 	}
 	return COMM_OK;
 }
-
Index: src/event.c
===================================================================
RCS file: /cvsroot/ircd-ratbox/src/event.c,v
retrieving revision 7.41
diff -b -u -r7.41 event.c
--- src/event.c	15 Mar 2004 17:58:08 -0000	7.41
+++ src/event.c	19 Aug 2004 22:16:33 -0000
@@ -70,7 +70,7 @@
  */
 #ifdef __vms
 void
-ircd$schdast(unsigned int msec, int tid, void (*astadr)(__unknown_params))
+ircd$schdast(unsigned int msec, int tid, void (*astadr) (__unknown_params))
 {
 	char asctim[15];
 	$DESCRIPTOR(asctim_desc, asctim);
@@ -79,8 +79,8 @@
 	double delay = msec;
 	int tim[2];
 
-	delay_mins = (delay/1000) / 60;
-	delay_secs = (delay/1000) - (60 * delay_mins);
+	delay_mins = (delay / 1000) / 60;
+	delay_secs = (delay / 1000) - (60 * delay_mins);
 
 	ircsnprintf(asctim, sizeof(asctim), "0 :%d:%2.2f", delay_mins, delay_secs);
 	asctim_desc.dsc$w_length = strlen(asctim);
@@ -100,13 +100,15 @@
 	 * If it's not a repeating event, remove it from
 	 * the event table.
 	 */
-	if (!event_table[evtn].frequency)
+	if(!event_table[evtn].frequency)
 	{
 		event_table[evtn].name = NULL;
 		event_table[evtn].func = NULL;
 		event_table[evtn].arg = NULL;
 		event_table[evtn].active = 0;
-	} else {
+	}
+	else
+	{
 		/* Otherwise, schedule it to run again. */
 		ircd$schdast(event_table[evtn].frequency * 1000, evtn, ircd$runevt);
 	}
@@ -127,7 +129,7 @@
 	int i;
 
 	/* find first inactive index */
-	for (i = 0; i < MAX_EVENTS; i++)
+	for(i = 0; i < MAX_EVENTS; i++)
 	{
 		if(event_table[i].active == 0)
 		{
@@ -154,12 +156,12 @@
 }
 
 void
-eventAddOnce(const char *name, EVH *func, void *arg, time_t when)
+eventAddOnce(const char *name, EVH * func, void *arg, time_t when)
 {
 	int i;
 
 	/* find first inactive index */
-	for (i = 0; i < MAX_EVENTS; i++)
+	for(i = 0; i < MAX_EVENTS; i++)
 	{
 		if(event_table[i].active == 0)
 		{
@@ -170,7 +172,7 @@
 			event_table[i].frequency = 0;
 			event_table[i].active = 1;
 
-			if ((event_table[i].when < event_time_min) || (event_time_min == -1))
+			if((event_table[i].when < event_time_min) || (event_time_min == -1))
 				event_time_min = event_table[i].when;
 
 #ifdef __vms
@@ -181,8 +183,7 @@
 	}
 
 	/* erk! couldnt add to event table */
-	sendto_realops_flags(UMODE_DEBUG, L_ALL,
-			     "Unable to add event [%s] to event table", name);
+	sendto_realops_flags(UMODE_DEBUG, L_ALL, "Unable to add event [%s] to event table", name);
 }
 
 /*
@@ -244,7 +245,7 @@
 {
 	int i;
 
-	for (i = 0; i < MAX_EVENTS; i++)
+	for(i = 0; i < MAX_EVENTS; i++)
 	{
 		if(event_table[i].active && (event_table[i].when <= CurrentTime))
 		{
@@ -281,7 +282,7 @@
 
 	if(event_time_min == -1)
 	{
-		for (i = 0; i < MAX_EVENTS; i++)
+		for(i = 0; i < MAX_EVENTS; i++)
 		{
 			if(event_table[i].active &&
 			   ((event_table[i].when < event_time_min) || (event_time_min == -1)))
@@ -318,7 +319,7 @@
 {
 	int i;
 
-	for (i = 0; i < MAX_EVENTS; i++)
+	for(i = 0; i < MAX_EVENTS; i++)
 	{
 		if((event_table[i].func == func) &&
 		   (event_table[i].arg == arg) && event_table[i].active)
@@ -342,20 +343,19 @@
 
 	if(last_event_ran)
 		sendto_one_numeric(source_p, RPL_STATSDEBUG, 
-				   "E :Last event to run: %s",
-				   last_event_ran);
+				   "E :Last event to run: %s", last_event_ran);
 
 	sendto_one_numeric(source_p, RPL_STATSDEBUG,
 			   "E :Operation                    Next Execution");
 
-	for (i = 0; i < MAX_EVENTS; i++)
+	for(i = 0; i < MAX_EVENTS; i++)
 	{
 		if(event_table[i].active)
 		{
 			sendto_one_numeric(source_p, RPL_STATSDEBUG, 
 					   "E :%-28s %-4d seconds",
 					   event_table[i].name, 
-					   (int)(event_table[i].when - CurrentTime));
+					   (int) (event_table[i].when - CurrentTime));
 		}
 	}
 }
@@ -371,7 +371,7 @@
 {
 	int i;
 
-	for (i = 0; i < MAX_EVENTS; i++)
+	for(i = 0; i < MAX_EVENTS; i++)
 	{
 		if(event_table[i].when > by)
 			event_table[i].when -= by;
Index: src/hash.c
===================================================================
RCS file: /cvsroot/ircd-ratbox/src/hash.c,v
retrieving revision 7.107.2.1
diff -b -u -r7.107.2.1 hash.c
--- src/hash.c	2 Aug 2004 20:54:28 -0000	7.107.2.1
+++ src/hash.c	19 Aug 2004 22:16:34 -0000
@@ -108,12 +108,12 @@
 {
  	u_int32_t h = FNV1_32_INIT;
 
-	while (*s)
+	while(*s)
 	{
          	h ^= ToUpper(*s++);
-		h += (h<<1) + (h<<4) + (h<<7) + (h << 8) + (h << 24);
+		h += (h << 1) + (h << 4) + (h << 7) + (h << 8) + (h << 24);
 	}
-        h = (h >> bits) ^ (h & ((2^bits)-1));
+	h = (h >> bits) ^ (h & ((2 ^ bits) - 1));
 	return h;
 }
 
@@ -122,12 +122,12 @@
 {
  	u_int32_t h = FNV1_32_INIT;
 
-	while (*s)
+	while(*s)
 	{
 		h ^= *s++;
-		h += (h<<1) + (h<<4) + (h<<7) + (h << 8) + (h << 24);
+		h += (h << 1) + (h << 4) + (h << 7) + (h << 8) + (h << 24);
 	}
-        h = (h >> bits) ^ (h & ((2^bits)-1));
+	h = (h >> bits) ^ (h & ((2 ^ bits) - 1));
 	return h;
 }
 
@@ -136,12 +136,12 @@
 {
  	u_int32_t h = FNV1_32_INIT;
 	const unsigned char *x = s + len;
-	while (*s && s < x)
+	while(*s && s < x)
 	{
 		h ^= *s++;
-		h += (h<<1) + (h<<4) + (h<<7) + (h << 8) + (h << 24);
+		h += (h << 1) + (h << 4) + (h << 7) + (h << 8) + (h << 24);
 	}
-        h = (h >> bits) ^ (h & ((2^bits)-1));
+	h = (h >> bits) ^ (h & ((2 ^ bits) - 1));
 	return h;
 }
 
@@ -150,12 +150,12 @@
 {
  	u_int32_t h = FNV1_32_INIT;
 	const unsigned char *x = s + len;
-	while (*s && s < x)
+	while(*s && s < x)
 	{
          	h ^= ToUpper(*s++);
-		h += (h<<1) + (h<<4) + (h<<7) + (h << 8) + (h << 24);
+		h += (h << 1) + (h << 4) + (h << 7) + (h << 8) + (h << 24);
 	}
-        h = (h >> bits) ^ (h & ((2^bits)-1));
+	h = (h >> bits) ^ (h & ((2 ^ bits) - 1));
 	return h;
 }
 
@@ -416,8 +416,7 @@
 		free_cachefile(ptr->data);
 		dlinkDestroy(ptr, &helpTable[i]);
 	}
-	HASH_WALK_END
-}
+HASH_WALK_END}
 
 /* find_id()
  *
@@ -471,7 +470,7 @@
 	/* copy it across to give us a buffer to work on */
 	strlcpy(buf, name, sizeof(buf));
 
-	while ((s = strchr(p, '.')) != 0)
+	while((s = strchr(p, '.')) != 0)
 	{
 		*--s = '*';
 		/*
@@ -593,11 +592,10 @@
 	if(EmptyString(name))
 		return NULL;
 
-	if((source_p == NULL || !MyClient(source_p)) && 
-	   IsDigit(*name) && strlen(name) == 3)
+	if((source_p == NULL || !MyClient(source_p)) && IsDigit(*name) && strlen(name) == 3)
 	{
 		target_p = find_id(name);
-      		return(target_p);
+		return (target_p);
 	}
 
 	hashv = hash_nick(name);
@@ -606,8 +604,7 @@
 	{
 		target_p = ptr->data;
 
-		if((IsServer(target_p) || IsMe(target_p)) &&
-		   irccmp(name, target_p->name) == 0)
+		if((IsServer(target_p) || IsMe(target_p)) && irccmp(name, target_p->name) == 0)
 				return target_p;
 	}
 
@@ -773,8 +770,7 @@
 	{
 		hptr = ptr->data;
 
-		if((irccmp(name, hptr->name) == 0) &&
-		   (hptr->flags & flags))
+		if((irccmp(name, hptr->name) == 0) && (hptr->flags & flags))
 			return hptr;
 	}
 
@@ -800,8 +796,7 @@
 		free_conf(ptr->data);
 		dlinkDestroy(ptr, &resvTable[i]);
 	}
-	HASH_WALK_END
-}
+HASH_WALK_END}
 
 struct nd_entry *
 hash_find_nd(const char *name)
@@ -832,13 +827,11 @@
 	unsigned long total = 0;
 	int i;
 
-	sendto_one_numeric(source_p, RPL_STATSDEBUG,
-			"B :%s Hash Statistics", name);
+	sendto_one_numeric(source_p, RPL_STATSDEBUG, "B :%s Hash Statistics", name);
 
 	sendto_one_numeric(source_p, RPL_STATSDEBUG,
 			"B :Size: %d Empty: %d (%.3f%%)",
-			length, counts[0], 
-			(float) ((counts[0]*100) / (float) length));
+			   length, counts[0], (float) ((counts[0] * 100) / (float) length));
 
 	for(i = 1; i < 11; i++)
 	{
@@ -855,14 +848,13 @@
 	for(i = 0; i < 11; i++)
 	{
 		sendto_one_numeric(source_p, RPL_STATSDEBUG,
-				"B :Nodes with %d entries: %d",
-				i, counts[i]);
+				   "B :Nodes with %d entries: %d", i, counts[i]);
 	}
 }
 	
 
 static void
-count_hash(struct Client *source_p, dlink_list *table, int length, const char *name)
+count_hash(struct Client *source_p, dlink_list * table, int length, const char *name)
 {
 	int counts[11];
 	int deepest = 0;
